Difference between revisions of "Part RefineShape/cs"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
 
Line 67: Line 67:
 
shape.removeSplitter()
 
shape.removeSplitter()
 
}}
 
}}
 
The '''Part RefineShape''' command can be applied after selecting one or more objects in the [[Tree_view|Tree view]]:
 
 
{{Code|code=
 
FreeCADGui.runCommand('Part_RefineShape')
 
}}
 
 
The selection can be manual (by using the mouse), or via the [[Python_console|Python console]].<br>
 
To know more about selecting objects programmatically, refer to [[Selection_methods|Selection methods]].
 
  
  

Latest revision as of 10:57, 18 September 2021

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Part ElementCopy.svg ElementCopy

Part RefineShape.svg Díl Vyčistit tvar

Umístění Menu
Díl → Vyčistit tvar
Pracovní stoly
Díl, OpenSCAD
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Nikdo

Popis

Vyčistí zbytečné čáry. Po logických operacích zůstávají viditelné čáry, které definovaly původní tvary. Nástroj vytváří kopii vyčištěného objektu.

The Part RefineShape.svg Part RefineShape produces a non-parametric copy with a refined shape, that is, with certain edges and faces cleaned up.

After certain boolean operations, like Part Fuse, some lines from the previous shapes may remain visible. This tool produces a copy of that boolean result, and cleans up those seams.

Alternatively, to produce other non-parametric copies use Part SimpleCopy.svg Simple Copy, Part TransformedCopy.svgTransformed Copy, and Part ElementCopy.svg Element Copy

PartRefineShape it.png

Original boolean result with 11 faces (left), and refined shape copy with 7 faces (right).

Použití

  1. Vyberte tvar, který má být vyčištěn.
  2. Klikněte na menu Díl → Vyčistit tvar.
  • Je vytvořena kopie objektu a je kompletně vyčištěna, původní objekt je skryt.
  • Nově vytvořená kopie je nezávislá na originálu.
  1. Select an object that you wish to clean and copy.
  2. Go to the menu Part → Create a copy → Part RefineShape.svg Refine shape.
  3. A cleaned, independent copy of the original object is created; the original object is hidden.

As of v0.19 and above the result defaults to a parametric (linked) copy.

This behavior can be changed in the Std DlgParameter.svg Parameter editor:

  1. Go to the subgroup: BaseApp/Preferences/Mod/Part
  2. Change ParametricRefine of type Boolean to false to get the old behavior (independent copy).

See other parameters in Fine-tuning.

Notes

  • This function can be used as the last step in the modelling work to clean up shapes in a traditional constructive solid geometry workflow.
  • This function may help to clean up the model before applying another feature, such as a Fillet.
  • This clean up may stop 3D printers from printing unwanted edges once the solid model is exported to a mesh format.
  • This function can also be used after converting a mesh to a shape (ShapeFromMesh) to clean up the residual edges on flat faces.

Limitations

  • The refinement algorithm only works on shells. Therefore it iterates over the shells of the input shape and then for each shell it creates a new shell with joined faces wherever possible. This means that if your input shape is only a face, wire, edge or vertex then the algorithm does nothing.
  • Unlike the OpenSCAD RefineShapeFeature.svg OpenSCAD RefineShapeFeature command, Part RefineShape.svg Part RefineShape won't update when the preceding shapes are changed.

Scripting

The Python command for refining a shape is the following:

shape.removeSplitter()


Arrow-left.svg Previous: Part ElementCopy.svg ElementCopy